## org.eclipse.emf.ecore.xmi
Interface XMLSave.XMLTypeInfo

All Known Implementing Classes:
  EMOFSaveImpl.EMOFXMLTypeInfoImpl, XMLSaveImpl.XMLTypeInfoImpl

Enclosing interface:
  XMLSave

    public static interface XMLSave.XMLTypeInfo

This defines the methods for the interface used to determine whether type information should be saved when the XMLResource.OPTION_SAVE_TYPE_INFORMATION save option is enabled.

Method Summary
`boolean` `shouldSaveType(EClass objectType, EClass featureType, EStructuralFeature feature)` Determines whether type information should be saved for an object of the specified type in a feature of the specified type.
`boolean` `shouldSaveType(EClass objectType, EClassifier featureType, EStructuralFeature feature)` Determines whether type information should be saved for an object of the specified type in a feature of the specified type.

Method Detail

### shouldSaveType

    boolean shouldSaveType(EClass objectType,
                           EClassifier featureType,
                           EStructuralFeature feature)

  Determines whether type information should be saved for an object of the specified type in a feature of the specified type.

  Parameters:
    `objectType` - The object's type.
    `featureType` - The feature's type.
    `feature` - The feature in which the object is stored.
  Returns:
    `true` if the type should be saved; `false` otherwise.

### shouldSaveType

    boolean shouldSaveType(EClass objectType,
                           EClass featureType,
                           EStructuralFeature feature)

  Determines whether type information should be saved for an object of the specified type in a feature of the specified type.

  Parameters:
    `objectType` - The object's type.
    `featureType` - The feature's type.
    `feature` - The feature in which the object is stored.
  Returns:
    `true` if the type should be saved; `false` otherwise.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.